<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Task 73 PIZZA365 CRUD</title>

  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
  <!-- Font Awesome -->
  <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>
<body class="hold-transition sidebar-mini">
<!-- Site wrapper -->
<div class="wrapper">
  <!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="index3.html" class="nav-link">Home</a>
      </li>
      <li class="nav-item d-none d-sm-inline-block">
        <a href="#" class="nav-link">Contact</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

  <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-primary elevation-4">
    <!-- Brand Logo -->
    <a href="index3.html" class="brand-link">
      <img src="dist/img/AdminLTELogo.png" alt="AdminLTE Logo" class="brand-image img-circle elevation-3" style="opacity: .8">
      <span class="brand-text font-weight-light">Admin Page</span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          <img src="dist/img/hinhtui.jpg" class="img-circle elevation-2" alt="User Image">
        </div>
        <div class="info">
          <a href="#" class="d-block">Huy Nguyen 18+</a>
        </div>
      </div>

      <!-- SidebarSearch Form -->
      <div class="form-inline">
        <div class="input-group" data-widget="sidebar-search">
          <input class="form-control form-control-sidebar" type="search" placeholder="Search" aria-label="Search">
          <div class="input-group-append">
            <button class="btn btn-sidebar">
              <i class="fas fa-search fa-fw"></i>
            </button>
          </div>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
          <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
          <li class="nav-item menu-open">
            <a href="#" class="nav-link">
              <i class="nav-icon fas fa-tachometer-alt"></i>
              <p>
                List To Manage
                <i class="right fas fa-angle-left"></i>
              </p>
            </a>
            <ul class="nav nav-treeview">
              <li class="nav-item">
                <a href="prize.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>prize CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="menu.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Menu CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="drink.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Drink CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="country.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Country CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="region.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Region CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="user.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>User CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="order.crud.html" class="nav-link">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Order CRUD</p>
                </a>
              </li>
              <li class="nav-item">
                <a href="prize-history.crud.html" class="nav-link active">
                  <i class="far fa-circle nav-icon"></i>
                  <p>Prize History CRUD</p>
                </a>
              </li>
            </ul>
          </li>
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>

  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
      <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h1>Pizza 365 - Prize History</h1>
          </div>
          
        </div>
      </div><!-- /.container-fluid -->
    </section>

    <!-- Main content -->
    <section class="content">
      <div class="container">
        <h2 style="text-align: center;">Player Info</h2>
        
        <div class="jumbotron container">
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="username">Username</label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-username" name="username" placeholder="User Name"
            class="form-control">
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="firstname">First Name</label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-firstname" name="firstname" placeholder="Firstname" class="form-control">
          </div>
          </div>
          <div class="row form-group">
          <div class="col-sm-3">
            <label for="lastname">Last Name</label>
          </div>
          <div class="col-sm-9">
            <input type="text" id="input-lastname" name="lastname" placeholder="Lastname" class="form-control">
          </div>
          </div>
          
          <div class="row pull-right">
            <div class="col-sm-3">
            </div>
            <div class="col-sm-9">
              <div class ="row">
                <div class="col-sm-6">
                </div>
                <div class = "col-sm-3">
                  <button id="btn-prize-history" class="btn btn-primary w-100">Show Prize History</button>
                </div>
                <div class = "col-sm-3">
                  <button id="btn-cancel" class="btn btn-secondary w-100">Cancel</button>
                </div>
              </div>
            </div>
          </div>
        </div>
        <table class="table table-bordered table-striped table-hover" id="user-table">
          <thead>
            <tr>
              <th>STT</th>
              <th>Giải thưởng</th>
            </tr>
            <tbody id = "table-prize-history-body">
            </tbody>
        </table>
      </div>
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->

  <footer class="main-footer">
    <div class="float-right d-none d-sm-block">
      <b>Version</b> 1.0.0
    </div>
    <strong>Copyright &copy; 2023 <a href="">DevCamp 120</a>.</strong> All rights reserved.
  </footer>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->
  </aside>
  <!-- /.control-sidebar -->
</div>
<!-- ./wrapper -->

<!-- jQuery -->
<script src="plugins/jquery/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<script>
  "use strict";
/*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */

var gPrizeHistoryObj = [];
var gUsername = "";
const gBASE_URL = "http://203.171.20.210:8080/devcamp-lucky-dice/";
const gCONTENT_TYPE = "application/json;charset=UTF-8";

//khai báo các cột
const gEND_OF_ROW_COL = -1;

$(document).ready(function(){
	/*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
	
  //Gán sự kiện cho nút prize history
  $("#btn-prize-history").on("click",function(){
		onPrizeHistoryBtnClick();
	});

  //Gán sự kiện cho nút Cancel
	$("#btn-cancel").on("click",function(){
		onCancelBtnClick();
	});
	/*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */ 
	function onPrizeHistoryBtnClick(){
    //b1: đọc dữ liệu
    gUsername = $("#input-username").val();
    //b2: validate
    if (gUsername == ""){
      alert ("Cần nhập username");
    }
    else loadDataToTable(gUsername);
  }
  function onCancelBtnClick(){
    $("#input-username").val("");
		$("#input-firstname").val(""); 
    $("#input-lastname").val("");
	}
	/*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
	//load lại table
  function loadDataToTable(paramUserName){
    $.ajax({
		url: gBASE_URL + "prize-history?username=" + paramUserName,
		type: "GET",
		dataType: "json",
		success: function(res){
      gPrizeHistoryObj = res;
			console.log(res);
      handleResponseSuccess();
		},
		error: function(err){
			console.log(err.responseText);
		}
	})
  }
  //hàm xử lý hiển thị prize history
			
  function handleResponseSuccess(){
    var vHistoryTable = $("#user-table");
    //xóa table body
    var vTableBody = document.getElementById("table-prize-history-body");
    vTableBody.innerHTML = "";
    for (var bI = 0; bI <gPrizeHistoryObj.prizes.length; bI++){
      //thêm 1 dòng mới và gắn vào table
      var bNewRow = vTableBody.insertRow(gEND_OF_ROW_COL);
      //thêm 2 ô trên dòng
      var bSttCell = bNewRow.insertCell(0);
      var bPrizeCell = bNewRow.insertCell(1);
      //điền dữ liệu cho từng ô
      bSttCell.innerHTML = bI + 1;
      bPrizeCell.innerHTML = gPrizeHistoryObj.prizes[bI];
    }
  }
})
</script>
</body>
</html>
